import type { ConferencePermission, ConferenceStatus } from '@voxeet/voxeet-web-sdk/types/models/Conference';
import type Conference from '@voxeet/voxeet-web-sdk/types/models/Conference';
import type ConferenceOptions from '@voxeet/voxeet-web-sdk/types/models/ConferenceOptions';
import type { MediaStreamWithType } from '@voxeet/voxeet-web-sdk/types/models/MediaStream';
import type { JoinOptions } from '@voxeet/voxeet-web-sdk/types/models/Options';
import type { Participant } from '@voxeet/voxeet-web-sdk/types/models/Participant';
export default class ConferenceService {
    static create(options: ConferenceOptions): any;
    static setPackageUrlPrefix(prefix?: string): void;
    static current(): any;
    static participants(): any;
    static fetch(conferenceId: string): any;
    static join(conference: Conference, options: JoinOptions): any;
    static stopRemoteVideo(participant: Participant): any;
    static startRemoteVideo(participant: Participant): any;
    static startRemoteAudio(participant: Participant): any;
    static stopRemoteAudio(participant: Participant): any;
    static startLocalAudio(): any;
    static stopLocalAudio(): any;
    static startLocalVideo(isBlurred?: boolean): any;
    static stopLocalVideo(): any;
    static isSpeaking(participant: Participant, callback: (value: boolean) => void): any;
    static startScreenShare(): any;
    static stopScreenShare(): any;
    static onParticipantsChange(handler: (data: Participant) => void): () => void;
    static onStreamsChange(handler: (data: Participant) => void): () => void;
    static onScreenShareChange(onStartHandler: (participant: Participant, stream: MediaStreamWithType) => void, onStopHandler: (participant: Participant, stream: MediaStreamWithType) => void): () => void;
    static onConferenceStatusChange(handler: (data: ConferenceStatus) => void): () => void;
    static onPermissionsChange(handler: (data: ConferencePermission[]) => void): () => void;
    static onConferenceError(handler: (error: Error) => void): () => void;
    static leave(): any;
    static playBlockedAudio(): any;
    static startBackgroundBlur(): any;
    static stopVideoProcessing(): any;
}
